<?php 

	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$nome_subcategoria_loja = filter_input(INPUT_POST, "nome_subcategoria_loja", FILTER_SANITIZE_STRING);
		$id_categoria_loja = (int) filter_input(INPUT_POST, "id_categoria_loja", FILTER_SANITIZE_NUMBER_INT);
		$id_subcategoria_loja_pai = (int) filter_input(INPUT_POST, "id_subcategoria_loja_pai", FILTER_SANITIZE_NUMBER_INT);
		$id_subcategoria_loja = (int) encrypt_decode(filter_input(INPUT_POST, "id_subcategoria_loja", FILTER_SANITIZE_STRING));

		$model = new Model();

		$result = $model->update("subcategoria_loja", [
			"nome_subcategoria_loja" => $nome_subcategoria_loja,
			"id_categoria_loja" => empty($id_subcategoria_loja_pai) ? $id_categoria_loja : null,
			"id_subcategoria_loja_pai" => $id_subcategoria_loja_pai
		], [
			"id_subcategoria_loja" => $id_subcategoria_loja
		]);

		if ($result > 0) {
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$model->commit();
			echo "<script>window.location.href='".show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))."&subcategoria=".urlencode(encrypt_encode($id_subcategoria_loja_pai))."&editar_sub=true")."';</script>";
		}
		else{
			$model->rollback();
			echo "<script>window.location.href='".show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))."&subcategoria=".urlencode(encrypt_encode($id_subcategoria_loja_pai))."&editar_sub=false")."';</script>";
		}
	}
	else{
		show_403();
	}

?>